print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceyop = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local yopHudFile = "Paletten/hud_fill_yop.dds"
	local yopHudFileSmall = "Paletten/hud_fill_yop_small.dds"
	
    local yopFilType = g_fillTypeManager:addFillType("YOP", g_i18n:getText("yop"), true, priceyop * 2.2, 0.00045, math.rad(10), yopHudFile, yopHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasyop=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasyop=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "YOP" then
		hasyop=true
	end;
		
end;

		if hasmaize and not hasyop then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("YOP")
		local price = g_fillTypeManager:getFillTypeByName("YOP").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("YOP")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)